For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DiscordGet API Key
  • Getting Started
    • Overview
    • Quickstart
    • Errors
    • Pricing
  • Chat
    • Overview
    • Chat with Image, Video, and Audio
    • Function Calling
    • Models
  • Vision
    • Overview
    • Rate Limits
    • Pricing
    • MCP Server
    • Video Management
    • Video Group Management
    • Video Search
    • Video QA
    • Clip Generation
    • Metadata Tagging
    • Image Management
    • Image Search
        • POSTCreate Clips
        • GETGet Clip Status
        • DELDelete Clip
  • Research
    • Overview
    • Streaming
    • Reasoning Steps
    • Web Search
    • Structured Output
    • Parallel Thinking
    • Best Practices
    • Errors
    • Examples
  • Speech
    • Overview
    • Audio Transcription
    • Speech Translation
    • Speech-to-Speech Translation
  • Resources
    • FAQs
    • Changelog
    • System Status
LogoLogo
DiscordGet API Key
VisionAPI ReferenceClip Generation

Delete Clip

DELETE
https://vision-agent.api.reka.ai/v1/clips/:id
DELETE
/v1/clips/:id
$curl -X DELETE https://vision-agent.api.reka.ai/v1/clips/id \
> -H "X-Api-Key: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Deleted
1{}
Delete a completed or failed reel generation.
Was this page helpful?
Previous

Upload Images

Next
Built with

Authentication

X-Api-Keystring

API key authentication via X-Api-Key header

OR
AuthorizationBearer
Bearer token authentication via Authorization header

Path parameters

idstringRequiredformat: "uuid"

Request

This endpoint expects an object.
delete_input_videobooleanOptionalDefaults to false
Whether to delete the indexed source video along with the generation

Response

Successful Response